%global namedreltag .Final-redhat-2
%global brewreltag .Final_redhat_2
%global namedversion %{version}%{?namedreltag}

%bcond_without mead

%define maven_version 1.0.6.Final-redhat-2

Name:    jboss-remote-naming
Version: 1.0.6
Release: 2%{brewreltag}%{?dist}
Summary: Library for remote naming (JNDI) with JBoss AS
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss-jboss-remote-naming-1.0.6.Final-redhat-2-sources.zip
Source101: org.jboss-jboss-remote-naming-1.0.6.Final-redhat-2-patches.zip
Source102: jboss-remote-naming-1.0.6.Final-redhat-2-javadoc.jar
Source103: jboss-remote-naming-1.0.6.Final-redhat-2.jar
Source104: jboss-remote-naming-1.0.6.Final-redhat-2-sources.jar
Source105: jboss-remote-naming-1.0.6.Final-redhat-2.pom
%endif

License: Open Source
URL:     https://github.com/jbossas/jboss-remote-naming.git
Epoch:   0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot

Requires:  jboss-ejb-client
Requires:  jboss-marshalling
Requires:  jboss-xnio-base
Requires:  jboss-remoting3
Requires:  jboss-sasl
Requires:  jboss-logging

%description
Library for remote naming (JNDI) with JBoss AS.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep

%build

%install
# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

# JARS
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
cp -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *.jar; do ln -sf ${jar} `echo ${jar}|sed -s "s/-%{namedversion}//"`; done)

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
cp -p %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}

# JAVADOC
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir}/%{name} && ln -s %{name}-%{namedversion} %{name})

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%{_javadir}*/*jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Apr 26 2013 Paul Gier <pgier@redhat.com> - 0:1.0.6-2.Final_redhat_2
- Minor pom patch update for eap 6.1.0 GA

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.6-1.Final_redhat_1
- Upgrade to 1.0.6.Final

* Sat Feb 16 2013 Lin Gao <lgao@redhat.com> - 0:1.0.5-1.Final_redhat_1
- Upgrade to 1.0.5.Final
- Fix JPP errors
- Add javadoc subpackage

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.1
- Rebuild for MD5

* Mon Aug 27 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final-redhat-1

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.3
- Rebuild to fix symlinks

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.2
- Remove R: jboss-logging-tools
- Upgrade to new wrapper

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.1
- First build
